
--/callluafunc </F>User_PlayPlot</N>13


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(75,141)

	local player1 = CppScriptMgr:AddSimplePlayer(1058521,72,135,'Kosuke',4003000075,1)
	local player2 = CppScriptMgr:AddSimplePlayer(1050025,68,139,'MasterNinjaIIII',4003000076,1)
	local NPC1 = CppScriptMgr:AddSimplePlayer(1054430,70,129,'',4003000077,1)
	local NPC2 = CppScriptMgr:AddSimplePlayer(1053510,72,132,'',4003000078,1)
	local NPC3 = CppScriptMgr:AddSimplePlayer(1054420,69,133,'',4003000079,1)
	local ENEMY1 = CppScriptMgr:AddSimplePlayer(1058544,71,155,'',4003000080,1)
	local ENEMY2 = CppScriptMgr:AddSimplePlayer(1058544,77,155,'',4003000081,1)
	local ENEMY3 = CppScriptMgr:AddSimplePlayer(1058544,74,158,'',4003000082,1)
	-- 火-水
	local Fight1 = CppScriptMgr:AddSimplePlayer(1058526,79,142,'',4003000083,1)
	local Fight2 = CppScriptMgr:AddSimplePlayer(1058252,83,143,'',4003000084,1)
	-- 火-土
	local Fight3 = CppScriptMgr:AddSimplePlayer(1058520,65,141,'',4003000085,1)
	local Fight4 = CppScriptMgr:AddSimplePlayer(1062184,66,146,'',4003000086,1)
	-- 水-土
	local Fight5 = CppScriptMgr:AddSimplePlayer(1058251,76,145,'',4003000087,1)
	local Fight6 = CppScriptMgr:AddSimplePlayer(1062185,73,148,'',4003000088,1)
	ENEMY1:SetLWeapon(616439,0,1)
	ENEMY1:SetRWeapon(616439,0,1)
	ENEMY2:SetLWeapon(616439,0,1)
	ENEMY2:SetRWeapon(616439,0,1)
	ENEMY3:SetLWeapon(616439,0,1)
	ENEMY3:SetRWeapon(616439,0,1)
	CppScriptMgr:SetLightScreen(2000);
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	CppScriptMgr:AddEffect("zf2-e038",61,140)
	player2:Say("Kosuke Sensei, help villagers leave!",2000)
	CppScriptMgr:AddEffect("zf2-e038",75,137)
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:AddEffect("zf2-e038",82,147)
	CppScriptMgr:WaitMilSec(1000)
	player1:Say("Master!",2000)
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:AddEffect("zf2-e038",66,148)
	CppScriptMgr:WaitMilSec(1000)
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	player2:Say("Master Ninja III was severely hurt. You are the only one to protect them!",2000)
	CppScriptMgr:AddEffect("zf2-e038",74,151)	
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	player1:SetLook(58531)
	player1:SetAction(170)
	player1:Say("I see.",2000)
	CppScriptMgr:AddEffect("zf2-e038",83,148)	
	CppScriptMgr:WaitMilSec(2000)
	player1:SetLook(58521)
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	player2:Say("They are the future of the Fireland. I leave them to you.",2000)
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	NPC1:SetLook(54434)
	NPC2:SetLook(53514)
	NPC3:SetLook(54424)
	player2:SetLook(58520)
	player2:JumpTo(74,155)
	NPC1:RunTo(74, 112)
	NPC2:RunTo(74, 112)
	NPC3:RunTo(74, 112)
	player1:RunTo(74, 112)
	player1:SetLook(58524)
	CppScriptMgr:WaitMilSec(1000)
	player2:SetAction(401)
	ENEMY1:SetLook(58546)
	ENEMY2:SetLook(58542)
	ENEMY1:SetLWeapon(616439,0,1)
	ENEMY1:SetRWeapon(616439,0,1)
	ENEMY2:SetLWeapon(616439,0,1)
	ENEMY2:SetRWeapon(616439,0,1)
	ENEMY3:SetLWeapon(616439,0,1)
	ENEMY3:SetRWeapon(616439,0,1)
	ENEMY1:SetAction(401)
	ENEMY2:SetAction(401)
	ENEMY3:SetAction(401)
	CppScriptMgr:SetDarkScreen(2000);
	player2:SetAction(401)
	ENEMY1:SetAction(401)
	ENEMY2:SetAction(401)
	ENEMY3:SetAction(401)
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	player2:SetAction(401)
	ENEMY1:SetAction(401)
	ENEMY2:SetAction(401)
	ENEMY3:SetAction(401)
	Fight1:SetAction(401)
	Fight2:SetAction(401)
	Fight3:SetAction(401)
	Fight4:SetAction(401)
	Fight5:SetAction(401)
	Fight6:SetAction(401)
	CppScriptMgr:WaitMilSec(1000)
	
------------------------------------------------------------


